/* SKRUVAT
-------------------- */

.skruvat-theme {
  /**
    * Brand Primary
    */
  --road-brand-primary: #a73b0d;

  /**
    * Primary
    */
  --road-primary-10: #471c0b;
  --road-primary-20: #a73b0d;
  --road-primary-30: #ff4b00;
  --road-primary-40: #ff6d2f;
  --road-primary-50: #d7734b;
  --road-primary-60: #ffaf8f;
  --road-primary-70: #ffc3ab;
  --road-primary-80: #ffe9e1;
  --road-primary-90: #fffbfa;

  /**
    * Brand Secondary
    */
  --road-brand-secondary: #382e29;

  /**
    * Secondary
    */
  --road-secondary-10: #382e29;
  --road-secondary-20: #6b6868;
  --road-secondary-30: #807a7a;
  --road-secondary-40: #958d8c;
  --road-secondary-50: #aaa2a1;
  --road-secondary-60: #bebab9;
  --road-secondary-70: #d3d3d3;
  --road-secondary-80: #dddddd;
  --road-secondary-90: #f0f0f0;
  --road-secondary-95: #fafafa;

  /* GREYSCALE
    -------------------- */
  --road-grey-0: #000000;
  --road-grey-5: #19160c;
  --road-grey-10: #382e29;
  --road-grey-15: #565656;
  --road-grey-20: #6b6868;
  --road-grey-30: #807a7a;
  --road-grey-40: #958d8c;
  --road-grey-50: #aaa2a1;
  --road-grey-60: #bebab9;
  --road-grey-70: #d3d3d3;
  --road-grey-80: #dddddd;
  --road-grey-85: #e7e7e7;
  --road-grey-90: #f0f0f0;
  --road-grey-95: #fafafa;
  --road-grey-100-new: #ffffff;

  /**
  * Header
  */
  --road-header-surface: var(--road-primary-50);
  --road-on-header-surface: var(--road-grey-100-new);
  --road-header-surface-disabled: rgba(255, 255, 255, 0.32);
  --road-on-header-surface-disabled: rgba(255, 255, 255, 0.4);
  --road-header-outline: var(--road-primary-50);
  --road-header-icon: var(--road-grey-10-new);
  --road-variant-icon-header: var(--road-secondary-60);
  --road-header-badge: var(--road-secondary-60);
  --road-on-header-badge: var(--road-grey-10);

  /**
    * Neutral Surface
  */
  --road-surface: var(--road-grey-100-new);
  --road-surface-inverse: var(--road-grey-90);
  --road-surface-disabled: rgba(137, 143, 160, 0.24);
  --road-on-surface: var(--road-grey-10);
  --road-on-surface-weak: var(--road-grey-20);
  --road-on-surface-extra-weak: var(--road-grey-40);
  --road-on-surface-disabled: rgba(34, 41, 58, 0.32);

  /**
    * Brand Surface
  */
  --road-primary: var(--road-primary-50);
  --road-primary-variant: var(--road-primary-30);
  --road-on-primary: var(--road-grey-100-new);
  --road-secondary: var(--road-secondary-50);
  --road-secondary-variant: var(--road-secondary-40);
  --road-on-secondary: var(--road-grey-10);

  /**
    * Outline
  */
  --road-outline: var(--road-grey-30);
  --road-outline-weak: var(--road-grey-40);
  --road-outline-variant: var(--road-primary-30);

  /**
    * Artwork
  */
  --road-icon: var(--road-grey-10);
  --road-icon-variant: var(--road-secondary-40);
  --road-icon-inverse: var(--road-grey-100-new);
  --road-icon-inverse-variant: var(--road-secondary-60);

  /**
    * Overlay
  */
  --road-overlay: rgba(0, 0, 0, 0.64);
  --road-overlay-inverse: rgba(255, 255, 255, 0.64);
  --road-on-overlay: var(--road-grey-100-new);
  --road-on-overlay-inverse: var(--road-grey-10);

  /**
    * Buttons
  */
  --road-button-primary: var(--road-primary-50);
  --road-button-primary-variant: var(--road-primary-30);
  --road-on-button-primary: var(--road-grey-100-new);
  --road-button-secondary: var(--road-secondary-50);
  --road-button-secondary-variant: var(--road-secondary-40);
  --road-on-button-secondary: var(--road-grey-10);
  --road-button-tertiary: rgba(241, 187, 205, 0);
  --road-button-tertiary-variant: var(--road-primary-90);
  --road-button-tertiary-outline: var(--road-primary-50);
  --road-on-button-tertiary: var(--road-grey-10);
  --road-button-ghost: rgba(241, 187, 205, 0);
  --road-button-ghost-variant: var(--road-primary-90);
  --road-on-button-ghost: var(--road-grey-10);

  /**
    * Fab Button
  */

  --road-button-fab: var(--road-secondary-50);
  --road-on-button-fab: var(--road-grey-10);
  --road-button-fab-variant: var(--road-secondary-40);

  /**
    * Link
  */
  --road-link-primary: var(--road-primary-50);
  --road-link-secondary: var(--road-grey-10);
  --road-link-inverse: var(--road-grey-100-new);

  /**
    * Forms
  */
  --road-input-surface: var(--road-primary-50);
  --road-input-surface-variant: var(--road-primary-30);
  --road-input-outline: var(--road-grey-40);
  --road-input-outline-variant: var(--road-grey-0);

  /**
    * Decorative
  */
  --road-decorative-surface: var(--road-secondary-50);
  --road-decorative-surface-variant: var(--road-primary-50);

  /**
    * Leading Banner
  */

  --road-leading-banner: var(--road-secondary-50);
  --road-on-leading-banner: var(--road-grey-10);
}
